=== AMP for WP - Accelerated Mobile Pages ===
Contributors: mohammed_kaludi, ahmedkaludi, ampforwp
Tags: AMP, accelerated mobile pages, mobile, amp project, google amp, amp wp, google, plugin
Donate link: https://www.paypal.me/Kaludi/5
Requires at least: 3.0
Tested up to: 4.7.2
Stable tag: 0.9.43.1
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

AMP for WP is the most recommended AMP plugin by the community. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site.

== Description ==
AMP for WP automatically adds Accelerated Mobile Pages (Google AMP Project) functionality to your WordPress site. AMP makes your website faster for Mobile visitors.

[What's New in this Version?](http://ampforwp.com/new/) | [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) | [View Demo](https://demo.ampforwp.com/amp/) | [Screenshots](https://wordpress.org/plugins/accelerated-mobile-pages/screenshots/) | [Community](http://ampforwp.com/community/)

[youtube https://www.youtube.com/watch?v=zzRy6Q_VGGc]

> <strong>Extensions</strong><br>
> Some useful extensions to extend AMP features, check [AMP Adsense Support](https://ampforwp.com/advanced-amp-ads/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Custom Post Type Support](https://ampforwp.com/custom-post-type/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) and [DoubleClick Support](https://ampforwp.com/doubleclick-for-publishers/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin). To view more, go to our [Extensions page](https://ampforwp.com/extensions/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin). 
>
> <strong>Premium Support</strong><br>
> We try our best to provide support on WordPress.org forums. However, One-on-one email support is available to people who bought the [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) only. 
>
> <strong>Bug Reports</strong><br>
> Bug reports for AMP for WP are [welcomed on GitHub](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages). Please note GitHub is _not_ a support forum, and issues that aren't properly qualified as bugs will be closed.


= Features: =

* NEW - Design 3 [Watch the Video Overview](https://www.youtube.com/watch?v=ub1pwskt3Rc)
* NEW - Disqus Comments Support
* NEW - Google Tag Manager Support
* NEW - Page, Category & Tags Support Added
* NEW - Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* Mobile Redirection -  More than 50% of your traffic is from mobile and you aren’t doing anything to improve their user experience, which means you are falling behind on SEO and it can result in lower SERPS. Lightning fast mobile version means faster User experience means more engagement which directly results in the lower bounce rate.
* Custom Post Type Support 
* Star Ratings
* Drag & Drop Page builder Added 
* 2 Designs Added 
* Yoast SEO support on AMP pages and other SEO plugins
* AMP WooCommerce Support 
* Switch on/off Support for Pages on AMP
* Translation Panel & RTL
* Internal AMP linking - You can browse AMP pages internally
* Related posts below the post
* Recent Comments list
* Automatically integrate AMP to your website.
* Google Adsense (AMP-AD) Support with 4 different Ad slots across the layout! The First Plugin to have this capability.
* 7 Advertisement sizes
* Google Analytics Support.
* User Friendly Theme Options Panel.
* Unlimited Color Scheme.
* Image Logo Upload.
* Supports Posts and Pages.
* Proper rel canonical tags which means that Google know the original page.
* Overlay Navigation Menu bar.
* Social Sharing in the Single.
* Sexy Design.
* Separate WordPress Menu for AMP version.
* Page builder & Shortcodes Compatibility.
* Carousel support for Gallery.
* Better Image stretching and resizing.
* Youtube Video Embed Support.
* Vine Embed Support.
* Twitter oembed Support.
* Instagram Embed Support.
* Facebook Video Embed Support.
* RTL Support
* Custom AMP FrontPage
* Notifications
* Piwik & Segment.com Support
* Incontent & DoubleClick Support
* Great Support & Active Development.

**[JOIN CHAT GROUP COMMUNITY](http://ampforwp.com/community/)**: Purpose of this group is to get proper suggestions and feedback from plugin users and the community so that we can make the plugin even better.

= Getting Started: =
**[1. User Documentation:](http://ampforwp.com/help/)** The AMP for WP plugin is easy to setup but we have some tutorials and guides prepared for you which will help you dive deep with the plugin.

**[2. Developer Docs:](https://ampforwp.com/help/#extend)** We have created special documentations for developers and semi technical users who are willing to modify the plugin according to their own needs.

**[3. Fixing AMP Validation Errors:](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin)** We will personally take care that your website’s AMP version is perfectly validated. We will make sure that your AMP version gets approved and indexed by Google Webmaster Tools properly and we will even keep an eye on AMP updates from Google and implement them into your website.

**[4. Community Support Forum:](https://ampforwp.com/help/#support-forum)** We have a special community support forum where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means alot to us and so we try our best to reply each and every question that gets asked.

**[5. Frequently Asked Questions:](http://ampforwp.com/faq/)** Some of the Frequently Asked questions.

= Issues & Bug Reports: =
**How do I Report Bugs and Suggest New Features**
<i>You</i> can report the bugs at https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues

**Will you Add New features upon my request?**
Yes, Absolutely! I would suggest you to send your feature request by creating an issue in Github at https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues/new/ . It helps us organize the feedback easily.

**How do I get in touch?**
You can contact me using this url: http://ampforwp.com/contact/


== Installation ==
**[Visit Help area for the Documentation:](http://ampforwp.com/help/)**

[youtube https://www.youtube.com/watch?v=zzRy6Q_VGGc]

**[Visit Help area for the Documentation:](http://ampforwp.com/help/)**


== Frequently Asked Questions ==
**[View The Full FAQ at:](http://ampforwp.com/faq/)**


== Screenshots ==
1. AMP Homepage
2. AMP Single Post
3. Post Navigation in Single
4. Sticky Social sharing icons
5. Overlay Navigation menu sidebar.
6. Page builder of the Single article. You can drag and drop any element.
7. Single post of Design One
8. GTMetrix Performance Report
9. Google PageSpeed Insight report for AMP
10. Homepage of Design One
11. Pingdom Speed Report for AMP


== Changelog ==

= 0.9.43.1 = 
* View more details at https://ampforwp.com/0-9-43-1-released-stability-sprint-1-49th-update/
* Emoji in comments leads to AMP errors
* Design 1 showing time on archives
* Added some space between the archive label.
* Lazy loading plugins compatibility #544
* Custom header and footer areas
* Sticky posts now come on top #564
* Footer non-amplink added in design 3 #562
* HTML <p> tag is shown in the title in category! #518

= 0.9.42 = 
* View more details at https://ampforwp.com/design-three-update/
* Design 3 was released – Video Overview  along with new options and features. View the video overview at: https://www.youtube.com/watch?v=ub1pwskt3Rc [Major Feature]
* Ticket #517 – Added Upload field into Redux core [3rd party Compatiblity]
* Ticket#529 Controls for archive titles added [Improvement]
* Ticket #548 Jetpack photon code removed

= 0.9.41 = 
* View more details at https://ampforwp.com/disqus-comments-in-amp/
* Disqus Comments in AMP Support Added [New Feature] - This feature can be enabled from Dashboard > AMP Options > Disqus Comments
* AMP WooCommerce supported tag was missing after the last update. [Bug fix]
* Homepage & Related Posts was displaying private and protected posts, which is now fixed [Bug fix]
* Next previous links added in Design 1 [Enhancement]
* Invalid Post Time displaying in the homepage of Design 1 [Bug fix]
* Twitter share now includes the twitter handle of the author with setting in options [Enhancement]
* Emoji in comments leads to AMP errors was fixed [Bug fix]
* Date are now displayed on archives in Design 1 [Enhancement]
* When RTL enabled logo merges with nav bar was fixed  [Bug fix]
* Jetpack Photon compatibility added  [3rd Party Compatibility]

= 0.9.40 =
* View more details at https://ampforwp.com/0-9-40-released-biggest-stability-update/
* Proper endpoints added [Improvement]
* Flush Rewrites properly [Improvement]
* REL Canonical properly getting added. [Improvement]
* Proper Frontpage Canonical added [Improvement]
* Added Base name support for categories and tags [Improvement]
* Redirection of excluded post solved. [Bug fix]
* Archives properly redirecting to the right URL [Bug fix]
* Homepage redirection solved [Bug fix]
* Plusone tag is stripped properly. [Validation Issue fixed]
* Archives are now clickable. [Improvements]
* WP_Query filter added for better customizability of Homepage loop. [Better Customizations]
* Social share boost plugin compatibility. [3rd party Customizations]
* Removed H1 from the frontpage even if it is not available. [Improvement]
* H3 instead of H1 for Site title. So there is only one H1 per page. [SEO Improvement]

= 0.9.38 =
* View full details at https://ampforwp.com/google-tag-manager-for-amp/
* Google Tag manager included [New feature]
* Iframe max-width added [Improvement]
* Paginated pages have different titles now. [Bug fix]

= 0.9.37 =
* View full details at https://ampforwp.com/category-tags-archive-support-added/
* Debug issues solved [Bug fix]
* Remove Extra styling added by other Themes/ Plugins [3rd party themes and plugin Support]
* Category, Tags & Archive Support with titles added [Enchancement]
* Archive Title support added [Enchancement]
* There were some issues with attachments [Bug fix]
* removed ? from amp url's [Improvement]
* Mobile redirection for Archives added and 404 redirections removed for archives [Improvement]
* View non-amp version now properly redirects to the normal version. #415 [Bug fix]
* Added an option to turn off AMP support for Homepage. [Enchancement]
* Too many redirects issue on homepage is fixed #435 [Improvement]
* Spell check and G tags are removed for thrive & Spell check compatibility [Better Validation]
* If image is not available in gravatar fixed, it was throwing an error #365 #327 [Improvement]
* Comment anchor link changed for simplecomment button files in both designs [Improvement]
* Redirection Loop issue fixed [Bug fix]
* Shortcodes were visible in excerpt, it's fixed now. [Improvement]
* Defer onload by other plugins was causing issues #431 [Better Validation & 3rd party support]
* Improved Sessions [Improvement]
* Advnaced Settings panel was created for better user experience. [Improvement]
* Spell check tag was causing validation issues. [Better Validation & 3rd party support]
* RTL issue fixed #454 [Bug fixed]

= 0.9.36 =
* Full details at https://ampforwp.com/0-9-36-released-stability-update-43rd-update/
* Redux Core Update. Better compatibility with the Salient theme and Themeforest themes & plugins using redux framework in their core, which makes the plugin much stable. [Huge Improvements]
* Hide advertisement section if advance ads plugin is active. [Better User experience]
* Ultimate Social Media PLUS Plugin Compatibility (Link) [3rd Party plugin Compatibility & Better Validation]
* Launch Post Builder button added. One of the important feature called ‘Post Builder’, that is drag and drop post builder was somewhere hidden in the customizer, so positioned it for better visibility from users. [Better UX]

= 0.9.35 =
* Full details at https://ampforwp.com/page-builder-realtime-preview-3rd-party-plugins-compatibility/
* Customizer page builder (Design Manager) was not showing real-time preview, we have fixed this issue properly [Bug fix]
* Attachment page was having the wrong endpoint. [Bug fix]
* Fb:like div has href, showfaces, send and action tag, which was against validation [Validation Improvement]
* A plugin (Spam Protection by CleanTalk, no Captcha Anti-Spam) was forcefully adding script into the AMP version. [3rd party Compatibility]
* Lang attributes were added [Enhancement]
* The tag like was disallowed in the AMP [Validation Improvement]
* We did some more testing with Visual Composer & AMP [3rd party Compatibility]
* AMP on Pages option was not working in some cases. [Bug fix]
* Disable comment button when comments were disabled. This was fixed by @lofesa and was sent as a pull request. Thank you Lofesa!
* g:plusone tag was not getting removed properly. [Validation Improvement]
* Thrive headline optimizer was having issues in AMP version. [Validation Improvement]
* Structured Data Image width issue solved [Enhancement]
* BJ Lazy Load was having issues, we have added a fix which will make this plugin compatible with the AMP. [3rd party Compatibility & Validation Improvement]
* imageanchor=”1″ was getting added by some 3rd party plugin, this was fixed.[Validation Improvement]

= 0.9.34 =
* Newspaper theme by Tagdiv was having issues, we have fixed this one. 

= 0.9.33 [15th Jan 2017] =
* Full details at https://ampforwp.com/debug-errors-shortcodes/
* Mobile was not working with Newspaper theme by Tagdiv [Bugfix]
* Debug errors fixed, Code is now much cleaner.
* New rewrite rules for homepage pagination. It had some paginated URLs with wrong amphtml tag.
* Extra analytics file was loading. Better compatibility with Yoast & Monster analytics.
* Properly removes AMP if turned off from Post panel
* z-index position improved on Sticky Social bar
* Better compatibility with shortcodes.
* Divi Standard Layouts Compatibility
* Properly Hide AMP posts if excluded. #367
* Mobile redirection was causing loop issues which are now fixed.
* Some plugins were loading in core AMP js file, which was causing the issues, which is now fixed. [Better Validation]
* onclick was getting added in the links on AMP version. Issue fixed. [Better Validation]
* thrive_headline tag was getting added in the Title tag which was causing validation issues. Fixed. [Better Validation]
* Some interactive plugins were using place, state, city and imap tags which are now fixed. [Better Validation]

= 0.9.32 [7th Jan 2017] =
* Full details at https://ampforwp.com/first-wave-of-polishing-in-2017/
* Rel=canonical issue fixed: AMP URL redirect to the normal URL #293 & #332.
* Paginated pages on homepage redirect to homepage URL #335
* Title of the page should be displayed on the FrontPage #358
* Thrive Builder AMP Validation Compatibility, so it will be validated properly in AMP.
* Twitter Sharing improved so it gets the data properly #341
* Option to change the number of Related Posts #290
* Validation errors due to rel="canonical" was missing on some pages
* Comment button displays even if the comments are not available
* Threaded comments were duplicating, so that issue is solved and added proper CSS for it.
* Minor issue with Jetpack Comments fixed.
* Missing amp-social-share.js on front page fixed #372
* Minor improvements to Title and description tags.
* Analytics Script was loading twice when Glue was active.
* Page specific class added for better customization compatibility #377
* Inline Style support added Fixed #356
* Bugs fixed in Email notification pointer

= 0.9.31 [2nd Jan 2017] =
* Proper Details at https://ampforwp.com/amp-0-9-31-released-installation-user-experience/
* Proper Condition added for the scripts to load in Frontpage.php
* Rel canonical properly added for front pages
* 404 and Archive page Mobile redirection code refined
* User Experience Improvement: Installation process was improved

= 0.9.3 [31th December 2016] =
* Proper Details at https://ampforwp.com/custom-amp-content-editor/
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* FrontPage had some validation issues. [Bug fix]
* Related posts in Design 1 we're redirecting to 404 fixed [Bug fix]

= 0.9.2.2 [27th December 2016] =
* Proper Details at https://ampforwp.com/polishing-user-experience-improvements/
* Made the Options panel user-friendly
* Social Share on frontpage issue fixed.
* Readme.txt made user-friendly.
* Archive option removed and some UI improvements
* Single was not displaying the Title
* 'Type is not allowed' [Validation issue fixed]
* noshade tag Validation issue fixed

= 0.9.2.1 [24th December 2016] =
* Proper Details at https://ampforwp.com/step-towards-fixing-amp-validation-errors/
* Disabled the Tags and Categories support for AMP for better validation until we find a better solution.
* Mobile redirection bug fixed, It was continuously redirecting to the same page [Bug fix]
* trailingslashit added to make sure we have proper url for Mobile redirection [Bug fix]
* In content AD overlapping the content issue fixed

= 0.9.2 [23th December 2016] =
* Proper Details at https://ampforwp.com/mobile-redirection/
* AMP Mobile Redirection Feature added. It can be turned on from Dashboard > General and then Mobile Redirection. [New Feature]
* Archive title and description added [Improvement]
* Improved the Speed of the AMP version #321 [Improvement]
* Anchor link was not closing fixed #328 [Bug Fix]
* Typo in Trailingslashit function which resulted in some issues in the Homepage version [Bug Fix]

= 0.9.1.2 [20th December 2016] =
* Proper Details at http://ampforwp.com/new/
* DoubleClick Support
* Custom Post Type Support
* Ratings Support
* Comments Gaping fix
* Custom Excerpt code
* Better Compatibility with Yoast SEO plugin
* AMP Validation error in Design 1 Fixed
* Proper Homepage title & Description with Yoast SEO plugin issue fixed
* Design -1 Excerpt too big for mobile devices, Fixed
* Advertisement support on Design 1
* Link to Tags & Categories were having some issues.
* AMP looking bad on big devices
* AMP validation Improvement: Lightbox plugins compatibility
* Huge Progress in AMP Validation Errors: Strip unwanted codes and tags from wp_footer for better compatibility with Plugins
* Page Performance: Removed default Google font loading
* Page Performance: DNS Prefetch tag added for faster DNS Handshake

= 0.9.1 [16th December 2016] =
* Proper Details at http://ampforwp.com/new/
* PHP7 Compatibility
* Pagination URLs (Prev & Next) was going to 404 ( #244 | #251 )
* Custom CSS not working in Design one (#249)
* Enhanced the translation panel by adding Textarea from Redux, which means that we're able to allow HTML in footer like before (#260)
* How to remove “Powered by WordPress” from Design-1 of AMP ( #264 )
* Non-amp Homepage support added (#267)
* using get_avatar() (#259)
* Validation issue fixed: The attribute 'rel' may not appear in tag 'div' (#268)
* Validation Issue fixed: Script Tag removed from the content.
* Featured image in Design 1 in single #261
* After Fresh installation - a save is required Fixed
* Excerpt length controlled
* Design One has thumbnails on the Homepage
* Non-AMP link goes to the wrong page, issue fixed.
* Archive pages were broken, fixed.
* Option to Enable & Disable the Next/Previous links in Single
* WhatsApp sharing not working, issue fixed.
* Category Taxonomy has extra ':' in the word.
* The word 'Ago' is now translatable.
* Yoast SEO with AMP compatibility issue fixed.
* Several Minor Polishing in the code
* Footer Ad gets covered by Sticky Social Icons (#269)
* Smaller image size when “image caption” is used in Design-2 (#263)
* Footer ad with Sticky Social bar issue fix
* Checked with WordPress 4.7
* Ad #1 was messing up with the title, issue fixed.
* Compatibility improved with AMP WooCommerce.

= 0.9 =
* Proper Details at http://ampforwp.com/amp-pagebuilder/
* Drag & Drop Page builder Added: You can easily modify the look of the AMP page using this feature
* 100% Yoast Compatible , Now no need to have additionally Glue Installed
* 100% completed Translation panel, Now absolutely anything on page is translated
* Added Option to turn on/off Page Support
* Styling for Tags was Corrected
* Made changes to these sections to reflect in the new Design manager : Related Posts, Footer
* Default Image alignment styling added
* Added Option to turn on/off Page Support
* Related Posts Now use Custom Excerpt if it Exists
* Now AMP pages wont have Validation errors because of 'rel' attribute in 'div' Tag or 'onclick' attribute in 'a' Tag
* <pre> Tag styling issue fixed for AMP pages
* Frontpage (Homepage) Compatibility with AMP which means better validation of front page.
* WooCommerce Support Added https://wordpress.org/plugins/amp-woocommerce/ (for E-Commerce)
* 2 New Designs added
* SEO Panel Added

= 0.8.8 =
* Proper Details at http://ampforwp.com/amp-0-8-8-released-translation-panel/
* Translation Panel added. You can now easily translate the AMP version from the backend without any complications.
* Badge Tag was throwing Validation error
* Plusone tag validation error was fixed
* Time tag was validation error was fixed
* User experience for Mobile devices was improved
* Meta info was messing up in smaller devices, it was fixed as well.
* Internal AMP linking added for Categories and Tags
* Future errors for AMP ads was fixed
* Blockquote styling added
* “Please Activate parent Plugin settings” added for better User Experience.
* Related Post Ux improvement
* Plugin version added in Footer source code for better debugging
* Added Support for Default WordPress Image alignment
* New action hooks added in index page
* Featured Image Size options added

= 0.8.7 =
* Proper Details at http://ampforwp.com/amp-0-8-7/
* added option to enable/disable AMP on Archive pages (Ticket #188)
* Solved 404 on Related Posts (Ticket #178 )
* Related posts by either categories or Tags(Ticket #179)
* added a link to menu Section from the AMP Options page(Ticket #190)
* Added Support for Piwik Analytics(Ticket #163)
* Added Support for Segment.com Analytics(Ticket #50)
* Added a switch for hiding Non-Amp page link from Footer.( Ticket #189)
* Added an Option that strips Users URL from Comments Section(Ticket #180)
* Fixed stripping  <date> tags from the content , Since it was preventing validation – <amp-img > issues fixed
* UX Improved for every section of AMP Options page
* Added Settings button on plugin page
* Related posts switch added
* Removed carousel.js


= 0.8.6.1 =
* Date Tag fix
* Few validation issues after 0.8.6 were fixed (Frontpage amp-img strip issue fixed)

= 0.8.6 =
* Proper Details at http://ampforwp.com/amp-0-8-6-released-related-posts-comments/
* Related Posts
* Post Comments
* WhatsApp sharing button – Your visitors can now easily share the content over the whatsapp.
* Validation issue fixed by All In One Schema.org Rich Snippets plugin
* Removed Google Fonts loading for Performance
* New relic Support
* Class added to ‘View Non-AMP Version’ text
* Archives Structured Data issue fixed
* Some instances img tags converted into amp-img automatically.


= 0.8.5.3 =
* Canonical issue fixed for Post

= 0.8.5.2 =
* Canonical issue fixed for FrontPage

= 0.8.5.1 =
* Proper Details at http://ampforwp.com/new/
* Validation issue fixed: 'Value' tag
* Validation issue fixed: The attribute 'contenteditable' may not appear in tag 'a'.
* Validation issue fixed: Table markup
* Validation issue fixed: nowrap and misc tags
* New Relic Support
* Tags on off option
* Canonical and correct AMP html Redirect issues Solved
* NextGEN Gallery Validation Support Added

= 0.8.5 =
* Proper Details at http://ampforwp.com/the-0-4-compatibility/
* AMP 0.4 Compatibility Check
* Even better Structured Data Validation, Once in for all!
* Structured Data Options to eliminate Validation errors
* AMP Page Exclude option

= 0.8.4 =
* Proper Details at http://ampforwp.com/blog/structured-data-validation/
* Structured Data Validation
* Navigation Text Change
* Inline Style Validation
* Form Validation
* Frontpage shows the amphtml rel twice fixed
* Facebook Sharing not working

= 0.8.3 =
* Prefix added in the Content filter
* Extra space after quote in Ads

= 0.8.2 =
* Proper Details at http://ampforwp.com/blog/the-custom-frontpage/
* Custom AMP FrontPage
* Featured Image
* New Mobile Friendly Advertisement sizes
* Single Post Pagination Option
* RTL Support
* Notifications
* Gaping if the Meta was turned off.
* Analytics was not fetching the user id properly.
* Page was not using the post template along with the AD support.
* AMP Endpoint support for Paged when the front page is active.
* UI improvement of Admin panel
* Few Validation issues fixed

= 0.8.1 =
* Warning: Cannot modify header information error fixed
* Validation issue fixed. KK Star Plugin compatible.
* Gaping in the smaller screens fixed

= 0.8 =
* Proper Details at http://ampforwp.com/blog/the-change/
* Plugin was re-written from scratch and is now built on top of default AMP plugin by Automattic but giving you the same features of the original plugin.
* 99.5% Validation issues were fixed.
* Page builder & Shortcodes Compatibility Support Added
* Conflict with JSON API
* Carousel support for Gallery
* Better Image stretching and resizing
* Youtube Video Embed Support
* Vine Embed Support
* Twitter oembed Support
* Instagram Embed Support
* Facebook Video Embed Support
* Better Future Compatibility

= 0.7.7 =
* Proper Details at http://ampforwp.com/blog/amp-0-7-7/
* Big Validation Error fix Update
* Disable AMP support on specific Pages and Posts
* Option to disable the Post meta from the Single
* Footer Credits and Copyright Text Option
* New options for Social Sharing Bar in Single
* Jetpack Social & Related Sharing Issue fixed
* Gaping in footer if the Sticky bar is enabled
* Text domain added on few strings

= 0.7.6 =
* Google Adsense Support Added with AMP-Ad
* Wrong Homepage rel amphtml bug fixed

= 0.7.5 =
* Google Analytics Support Added
* Logo Support Added. If the logo is disabled, then the Title should be activated.
* Color Scheme Feature Added
* User friendly Options Panel Added
* iFrame support Added
* Few Minor Bugs Fixed

= 0.7.1 =
* Bug #24 (Github) fixed
* Strip Style tags for faster & better validation
* Bug #21 (Github) fixed

= 0.7 =
* Canonical Improved
* Navigation Validation bug fixed
* Two more validation bugs fixed ('role' and 'tabindex' attribute)
* Featured image automatically hides if it is not present
* Validation issues in the images of the post's the_content

= 0.6 =
* Improved Navigation Menu
* Search Console errors fixed
* Social Sharing option
* Pages support
* Force redirection for mobile users removed and many other bug fixes

= 0.5 =
* Added AMP Markup for Google Structured data. This will fix the issues in Webmaster tools.

= 0.4 =
* Support of Custom menu added for AMP enabled sites

= 0.3 =
* Support of amp-img added in single posts
* minor css bug fixed

= 0.2.5 =
* Minor bugs fixed
* ?mobile & ?nomobile is now ?amp & ?noamp

= 0.2 =
* White Screen of death issue fixed
* Plugin URI updated

= 0.1 =
* Initial version
